
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java IO: FileReader和FileWriter / iVAN</title>

    <meta name="description" content="Java IO: FileReader和FileWriter 本章节将简要介绍FileReader和FileWriter.与FileInputStream和FileOutputStream类似,FileReader与FileWriter用于处理文件内容. FileReader 原文链接 FileReader能够以字符流的形式读取文件内容.除了读取的单位不同之外(译者注:FileReader读取字符,FileInputStream读取字节),FileReader与FileInputStream并无太大差异,也就是说,FileReader用于读取文本.根据不同">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java IO: FileReader和FileWriter</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本章节将简要介绍FileReader和FileWriter。与FileInputStream和FileOutputStream类似，FileReader与FileWriter用于处理文件内容。</p>
<h2><b>FileReader</b></h2>
<p><a href="http://tutorials.jenkov.com/java-io/filereader.html" rel="external nofollow noreferrer">原文链接</a></p>
<p>FileReader能够以字符流的形式读取文件内容。除了读取的单位不同之外(译者注：FileReader读取字符，FileInputStream读取字节)，FileReader与FileInputStream并无太大差异，也就是说，FileReader用于读取文本。根据不同的编码方案，一个字符可能会相当于一个或者多个字节。代码如下：</p>
<table>
<tbody>
<tr>
<td><code>01</code></td>
<td>
<code>Reader reader = </code><code>new</code> <code>FileReader(</code><code>"c:\\data\\input-text.txt"</code><code>);</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>02</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>03</code></td>
<td>
<code>int</code> <code>data = reader.read();</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>04</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>05</code></td>
<td>
<code>while</code><code>(data != -</code><code>1</code><code>) {</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>06</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>07</code></td>
<td>
<code>    </code><code>//do something with data...</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>08</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>09</code></td>
<td>
<code>    </code><code>doSomethingWithData(data);</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>10</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>11</code></td>
<td>
<code>    </code><code>data = reader.read();</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>12</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>13</code></td>
<td><code>}</code></td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>14</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>15</code></td>
<td><code>reader.close();</code></td>
</tr>
</tbody>
</table>
<p>注意：为了清晰，代码忽略了一些必要的异常处理。想了解更多异常处理的信息，请参考<a href="http://ifeve.com/java-io-%E5%BC%82%E5%B8%B8%E5%A4%84%E7%90%86/" rel="external nofollow noreferrer">Java IO异常处理</a>。</p>
<p>read()方法返回一个包含了读取到的字符内容的int类型变量(译者注：0~65535)。如果方法返回-1，表明FileReader中已经没有剩余可读取字符，此时可以关闭FileReader。-1是一个int类型，不是byte或者char类型，这是不一样的。</p>
<p>FileReader拥有其他可选的构造函数，能够让你使用不同的方式读取文件，更多内容请查看官方文档。</p>
<p>FileReader会假设你想使用你所使用的JVM的版本的默认编码处理字节流，但是这通常不是你想要的，你可以手动设置编码方案。</p>
<p>如果你想明确指定一种编码方案，利用InputStreamReader配合FileInputStream来替代FileReader(译者注：FileReader没有可以指定编码的构造函数)。InputStreamReader可以让你设置编码处理从底层文件中读取的字节。</p>
<h2><b>FileWriter</b></h2>
<p><a href="http://tutorials.jenkov.com/java-io/filewriter.html" rel="external nofollow noreferrer">原文链接</a></p>
<p>FileWriter能够把数据以字符流的形式写入文件。同样是处理文件，FileWriter处理字符，FileOutputStream处理字节。根据不同的编码方案，一个字符可能会相当于一个或者多个字节。代码如下：</p>
<table>
<tbody>
<tr>
<td><code>01</code></td>
<td>
<code>Writer writer = </code><code>new</code> <code>FileWriter(</code><code>"c:\\data\\output.txt"</code><code>);</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>02</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>03</code></td>
<td>
<code>while</code><code>(moreData) {</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>04</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>05</code></td>
<td>
<code>    </code><code>String data = getMoreData();</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>06</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>07</code></td>
<td>
<code>    </code><code>write.write(data);</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>08</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>09</code></td>
<td><code>}</code></td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>10</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>11</code></td>
<td><code>writer.close();</code></td>
</tr>
</tbody>
</table>
<p>处理文件都会碰到的一个问题是，当前写入的数据是覆盖原文件内容还是追加到文件末尾。当你创建一个FileWriter之后，你可以通过使用不同构造函数实现你的不同目的。</p>
<p>以下的构造函数取文件名作为参数，将会新写入的内容将会覆盖该文件：</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td>
<code>Writer writer = </code><code>new</code> <code>FileWriter(</code><code>"c:\\data\\output.txt"</code><code>);</code>
</td>
</tr>
</tbody>
</table>
<p>以下的构造函数取文件名和一个布尔变量作为参数，布尔值表明你是想追加还是覆盖该文件。例子如下：</p>
<table>
<tbody>
<tr>
<td><code>1</code></td>
<td>
<code>Writer writer = </code><code>new</code> <code>FileWriter(</code><code>"c:\\data\\output.txt"</code><code>, </code><code>true</code><code>); </code><code>//appends to file</code>
</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>2</code></td>
<td> </td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td><code>3</code></td>
<td>
<code>Writer writer = </code><code>new</code> <code>FileWriter(</code><code>"c:\\data\\output.txt"</code><code>, </code><code>false</code><code>); </code><code>//overwrites file</code>
</td>
</tr>
</tbody>
</table>
<p>同样，FileWriter不能指定编码，可以通过OutputStreamWriter配合FileOutputStream替代FileWriter。</p>
<ul>
<li>转载自 <a href="http://ifeve.com/" rel="external nofollow noreferrer">并发编程网 - ifeve.com</a></li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 16:46:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/read/" title="read">read</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java IO: FileReader和FileWriter的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPqkDp.html" rel="bookmark">Java IO教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java IO 是一套Java用来读写数据(输入和输出)的API.大部分程序都要处理一些输入,并由输入产生一些输出.Java为此提供了java.io包. 如果你浏览下java.io包,会对其中各样的类选择感到迷惑.这些类的作用都是什么?对于某个任务该选择哪个类?怎样创建你自己的类做插件?这个手册的目的就是给你介绍这些类是如何组织的,以及怎样使用他们,因此你就不会疑惑需要时怎样选取合适的类,或者是否有一个满足你需求的类已经存在了. Java.io 包的范围 java.io 包并没有涵盖所有输入输出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMA5QZM.html" rel="bookmark">java io学习（二十一） FileReader和FileWriter</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				FileReader和FileWriter源码分析 1. FileReader 源码(基于jdk1.7.40) package java.io; public class FileReader extends InputStreamReader { public FileReader(String fileName) throws FileNotFoundException { super(new FileInputStream(fil java io系列21之 InputStreamReade			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeaxJ8z.html" rel="bookmark">java io系列22之 FileReader和FileWriter</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				FileReader 是用于读取字符流的类,它继承于InputStreamReader.要读取原始字节流,请考虑使用 FileInputStream.FileWriter 是用于写入字符流的类,它继承于OutputStreamWriter.要写入原始字节流,请考虑使用 FileOutputStream. 转载请注明出处:http://www.cnblogs.com/skywang12345/p/io_22.html 更多内容请参考:java io系列01之 &quot;目录&quot;   FileRea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQj58KM.html" rel="bookmark">利用java io操作多个文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 利用java io操作多个文件 A文件: A B C D B文件: 1 2 3 4 利用java io操作A B 文件,得出 C文件: A 1234 B 1234 C 1234 D 1234 或者 A 1 A 2 A 3 A 4 B 1 B 1 B 2 B 3 B 4 ---- 大神求解 解决方案 第一种合并方式比较简单,A文件的逐行+B文件的全部内容,所以可以这样实现:先将B文件读入内存中存入中间变量中,然后逐行遍历A文件写入C文件. 参考实现如下,合并时注意添加必要的空格: imp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boaXNBp.html" rel="bookmark">java IO &amp;amp&semi;amp&semi; NIO</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IO.....      java.io.*     使用参考:http://www.cnblogs.com/rollenholt/archive/2011/09/11/2173787.html 类分层结构 java.lang.Object java.io.File (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable) java.io.FileDescriptor java.io.InputStream (implements j			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MymdnkM.html" rel="bookmark">Java IO流学习总结四：缓冲流-BufferedReader、BufferedWriter</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java IO流学习总结四:缓冲流-BufferedReader.BufferedWriter 转载请标明出处:http://blog.csdn.net/zhaoyanjun6/article/details/54911237 本文出自[赵彦军的博客] 在上一篇文章中Java IO流学习总结三:缓冲流-BufferedInputStream.BufferedOutputStream介绍了缓冲流中的字节流,而这一篇着重介绍缓冲流中字符流BufferedReader.BufferedWriter.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElnxLz.html" rel="bookmark">Java&colon;IO操作工具类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[1] String fileReaderStringHandle(String fileName) 将文件(由fileName指定)读入到一个字符串: [2] byte[] fileReaderByteHandle(String fileName) 将文件(由fileName指定)读入到一个字节数组: [3] void fileWriterHandle(String fileName, String text) 将字符串(由text指定)写出到一个文件(由fileName指定). IOUtil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWDKlz.html" rel="bookmark">代码-java&period;io&period;FileNotFoundException&colon; &lpar;设备未就绪。&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java.io.FileNotFoundException: (设备未就绪.) 由于重装了系统,重新装了jdk和eclipse,再次打开eclipse的时候,给之前的project重新导入了新安装的jdk,但是仍然有红色的感叹号,以下是运行时的报错: Exception in thread &quot;main&quot; java.io.FileNotFoundException: G: ecommendationKNN atings.dat (设备未就绪.) at java.io.FileI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M04V7M.html" rel="bookmark">Java IO学习基础之读写文本文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java的IO操作都是基于流进行操作的,为了提高读写效率一般需要进行缓冲. 简单的示例程序如下: /** * 读出1.txt中的内容,写入2.txt中 * */ import java.io.*; public class ReadWriteFile{ public static void main(String[] args){ try{ File read = new File(&quot;c:\\1.txt&quot;); File write = new File(&quot;c:\\2.txt&			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD0lWz.html" rel="bookmark" class="title">一个MM徒手打造的时尚资讯帝国</a>
					<div>
						一年的时间,每天长达十几个小时枯燥的整理,更新,每天不足1000的IP,却有接近5万的pv,1600个分类,881个世界名牌,13万个款式,40 多万的图片,一串串的数字证明了一个站长MM的辛勤和汗水 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9QOoM.html" rel="bookmark" class="title">mysql 修改表引擎&colon;php批量转换mysql表引擎</a>
					<div>
						有些时候可能需要批量转换mysql表的引擎,如下为php操作实现&lt;?php/*** 批量转换mysql表引擎*/error_reporting(e_all);// 数据库连接配置$host =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdr8db.html" rel="bookmark" class="title">第十八节 CSS样式</a>
					<div>
						css css即Cascading Stylesheets,是用于弥补编写网页的html语言的很多不足,使网页格式更容易得到控制.几乎每个网页都要用到css. 本节主要讲css在Dreamweaver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvAxab.html" rel="bookmark" class="title">ASP 返回&OpenCurlyDoubleQuote;Operation Must Use an Updateable Query&rdquo;错误</a>
					<div>
						错误 症状当您将 ActiveX 数据对象 (ADO) 与 Active Server Pages (ASP) 一起使用时,可能会遇到以下常见错误: Microsoft OLE DB Provider ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW12gnz.html" rel="bookmark" class="title">电信支撑网&lpar;Telecom munication supporting networks&rpar;</a>
					<div>
						电信支撑网(Telecom munication supporting networks) 一个完整的电话网除了有以传递电话信息为主的业务网外,还需要有若干个用以保障业务网正常运行,增强网路功能,提高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjODlp.html" rel="bookmark" class="title">TP-LINK WR703N OpenWrt怎么刷机</a>
					<div>
						  TP-LINK WR703N OpenWrt刷机教程 1.下载安装 访问WR703N在OpenWrt的Wiki页,然后在Flashing一节中找到下载链接:squashfs-factory.bin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4OOVp.html" rel="bookmark" class="title">使用flex中的httpservice方法与java进行交互</a>
					<div>
						 这篇文章主要介绍了使用flex中的httpservice方法与java进行交互,需要的朋友可以参考下 地球已经调至震动状态使用flex中的httpservice方法与java进行交互:    一.写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKR56p.html" rel="bookmark" class="title">php简单的留言板与回复功能具体实现</a>
					<div>
						 留言板是在刚接触php时用来学习的一个简单的应用例子了,今天我再给初学php的朋友提供一个完整的php留言板的全部制作过程,希望对你会有帮助 在网上找了这方面的教程 但是基本就是没有人说什么 然后在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGEG1b.html" rel="bookmark" class="title">如何设置U盘启动</a>
					<div>
						如何设置U盘启动 一.我们先来说说如何进入BIOS设置程序:在开机时按下特定的热键可以进入BIOS设置程序,不同类型的机器进入BIOS设置程序的按键不同,有的在屏幕上给出提示,有的不给出提示,几种常见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW717b.html" rel="bookmark" class="title">人生日历怎么卸载</a>
					<div>
						  人生日历怎么卸载: 方法很简单,现在一般电脑上都装的是360安全卫士,小编就用上边的360软件管家来举例吧! 1.打开360软件管家 2.选择&quot;软件卸载&quot; 3.找到人生日历,之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm5BVz.html" rel="bookmark" class="title">深度技术win7系统下如何设置流畅运行DNF游戏解决兼容问题</a>
					<div>
						  1.首先打开开始菜单中的运行对话框,然后在运行对话框里输入&quot;gpedit.msc&quot;后,回车打开&quot;本地策略组编辑器&quot;; 2.接着依次展开&quot;本地策略组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3eROM.html" rel="bookmark" class="title">鼠标不能拖动文件怎么办</a>
					<div>
						  鼠标不能拖动文件,也不能完成拖放操作了,最先发现的问题是浏览器不能拖动链接在新窗口打开了,以为是浏览器设置出了问题,经检查没有问题. 后来就发现所有和鼠标拖放有关的操作都不能完成了,这可着急了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E5o8M.html" rel="bookmark" class="title">《Windows Server 2012 Hyper-V虚拟化管理实践》&mdash;&mdash;2&period;3　Hyper-V角色安装后的状态</a>
					<div>
						2.3 Hyper-V角色安装后的状态 Hyper-V角色安装前后,系统环境将发生一系列变化.本节将简介发生的变化. 2.3.1 完整安装和PowerShell安装区别 使用完整安装模式安装Hyper ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze64q8b.html" rel="bookmark" class="title">如何写出高质量的伪原创</a>
					<div>
						伪原创 伪原创的重要法则:修改标题.增减内容.调整顺序.添加图片.增加关键字密度.此方法相对比较容易操作,原创程度又高,可谓性价比最高.下面具体说说 a.修改标题,修改标题的形式,但是关键词.内容不变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwxQEp.html" rel="bookmark" class="title">比特币核心的使用问题-比特币核心里使用op&lowbar;return的方法</a>
					<div>
						问题描述 比特币核心里使用op_return的方法 我在比特币核心里用createrawtransaction时,把op_return作为一个输出,会导致错误请问,op_return 可以直接在cre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAR1EM.html" rel="bookmark" class="title">dede后台用户名不存在解决办法 针对数据库管理dede-admin文件数目为0</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站建好一个月了,总感觉每次登陆后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEJr4z.html" rel="bookmark" class="title">ssh无密码登录问题</a>
					<div>
						ssh无密码登录配置: cp /etc/ssh/sshd_config /etc/ssh/sshd_config.bak vi /etc/ssh/sshd_config 重启sshd /etc/rc. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6VWVb.html" rel="bookmark" class="title">Selenium&plus;YSlow&plus;ShowSlow实现页面性能评估自动化</a>
					<div>
						工具介绍 Firebug: 这个不介绍了,居家旅行杀人越货必备的Firefox插件 YSlow: 当Firefox浏览网页时,可以分析网站的页面(基于Yahoo 14条评分原则),并告诉你为了提高网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PEovp.html" rel="bookmark" class="title">mysql数据库表中插入一行新纪录时，调用一个java程序</a>
					<div>
						问题描述 mysql数据库表中插入一行新纪录时,想要通知调用一个java程序,在网上查了下,说可以使用触发器,监听数据表中的变化,但是触发器器能直接调用外部的java程序吗,如果可以,该怎么做.或者说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBmrAb.html" rel="bookmark" class="title">要想成为编程高手就应该具备的八个条件</a>
					<div>
						1.扎实的基础 数据结构.离散数学.编译原理,这些是所有计算机科学的基础,如果不掌握它们,很难写出高水平的程序.程序人人都会写,但当你发现写到一定程度很难再提高的时候,就应该想想是不是要回过头来学学这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB14a4z.html" rel="bookmark" class="title">C&num;winform窗体接收webbrowse中的值？</a>
					<div>
						问题描述 C#winform窗体接收webbrowse中的值? 网页中有这个点击事件,如何在c#中接收imageID.谢谢各位好人. 解决方案 webBrowser.Document.Body.Inn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXPw6z.html" rel="bookmark" class="title">清华&OpenCurlyDoubleQuote;圈人签到&rdquo;闻者直呼&OpenCurlyDoubleQuote;太极品&rdquo;</a>
					<div>
						见习记者 查睿 论坛上一直不乏代人签到的段子, 网友们在搞笑的同时也各取所需,分享他人的&quot;代签&quot;经验.可是最近一篇&quot;清华学生的签到方式你们模仿不起&quot;的帖子,让所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA2X7b.html" rel="bookmark" class="title">百度第二季度未经审计的财务报告</a>
					<div>
						网易科技讯 7月25日消息,百度(Nasdaq:BIDU)今天公布了截至2014年6月30日的第二季度未经审计的财务报告.报告显示,该季度百度实现总营收119.86亿元人民币(约合19.32亿美元), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqAa2p.html" rel="bookmark" class="title">在C&num;中使用COM&plus;实现事务控制    wirte（原作） &lpar;本人转了&rpar;</a>
					<div>
						在C#中使用COM+实现事务控制    wirte(原作)     关键字     c#,com+,事务控制     在C#中使用COM+实现事务控制.NET技术是微软大力推广的下一代平台技术,自从. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0vaOM.html" rel="bookmark" class="title">柯洁评论AI下围棋：人类数千年全都是错的，新的风暴即将来袭</a>
					<div>
						雷锋网援引新华社消息,12月31日,围棋著名网战平台弈城一个名为&quot;Master&quot;的棋手在网络上以绝对胜率碾压朴廷桓.陈耀烨等中日韩一流职业高手,因此很多人猜测这个&quot;Mas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXaDxb.html" rel="bookmark" class="title">2014级学生第一学期C&plus;&plus;学习情况统计</a>
					<div>
						2014级学生表现的统计数据如下:  2014级 访问 积分 排名 原创 评论 OJ submit OJ AC 最少 285 198 5863 19 1 13 8 最多 22554 2433 187  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX3a6b.html" rel="bookmark" class="title">redhat安装centos的yum 时出现的问题 求大神解答</a>
					<div>
						问题描述 redhat安装centos的yum 时出现的问题 求大神解答 在安装这个文件的时候 rpm -ivh yum-metadata-parser-1.1.2-16.el6.x86_64.rpm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv1XNM.html" rel="bookmark" class="title">百度金融相关认证微博已悄然开通</a>
					<div>
						据悉,百度将联合金融公司推出在线金融产品,而非为金融公司提供搜索引擎服务.有消息称,百度与合作伙伴提出了必须高过余额宝收益的明确要求.随着今年阿里巴巴推出的余额宝, 腾讯 微信推出微信支付,互联网公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G5ALp.html" rel="bookmark" class="title">MongoDB快速入门笔记&lpar;八&rpar;之MongoDB的java驱动操作代码讲解&lowbar;mariadb</a>
					<div>
						MongoDB的Java驱动是线程安全的,对于一般的应用,只要一个Mongo实例即可,Mongo有个内置的连接池(池大小默认为10个). 下面代码给大家介绍MongoDB的java驱动操作,具体代码如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8ylZb.html" rel="bookmark" class="title">FLEX 事件机制-自定义事件介绍&lowbar;Flex</a>
					<div>
						最近在做地图JS和FLEX的封装工作,flex封装需要用到自定义事件这方面知识,在这里就简单介绍一下FLEX自定义事件. 自定义事件必须注意几点: (1)自定义事件通过继承Event类来实现. (2) ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
